#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
#  kq2.py

import matplotlib       # muss vor pyplot so stehen
matplotlib.use('TkAgg') # damit so das 'backend' vereinbart wird

import numpy as np
import matplotlib.pyplot as plt

n = 4
t = np.array(  [[ -1, 0, 1, 2 ]] ).T      # Matrix für concatenate
y = np.array(   [  1, 1, 2, 3 ] ).T
                 
einsen = np.ones( (n,1) )                 # Matrix für concatenate

A = np.concatenate( (einsen, t),axis=1 )  # Matrizen spaltenweise 
#A = np.array(  [ [ 1, -1] ,
#                 [ 1, 0 ] ,
#                 [ 1, 1 ] ,
#                 [ 1, 2 ]   ]  )

AtA = np.dot( A.T, A )
Aty = np.dot( A.T, y )

x = np.linalg.solve( AtA, Aty )

print(' Die Lösungsgerade lautet f(t) = {0:3.1f} + {1:3.1f} t \n'.format(  x[0], x[1] ) )

gerade = np.dot( A, x )
plt.plot(t, y, 'o' )
plt.plot(t, gerade )
plt.show()
